## cqrlog 1.0.2

=== debian/changelog ===
cqrlog (1.0.2-1) unstable; urgency=low

  * ADIF import fixed

 -- Petr Hlozek <petr@ok2cqr.com>  Sat, 11 Jun 2011 11:20:00 +0100

cqrlog (1.0.1-1) unstable; urgency=low

  * backup into the same file option added
  * ADIF export speed-up
  * loading MySQL libraries on Debian unstable and Fedora 15 - fixed
  * initial Debian release (Closes: #629587)

 -- Petr Hlozek <petr@ok2cqr.com>  Fri, 10 Jun 2011 19:30:00 +0100

cqrlog (1.0.0-1) unstable; urgency=low

  * CQRLOG is now package ready (now deb packages for Ubuntu and Debian only)
  * native 32bit and 64bit versions
  * support multiple logs
  * membership (> 70 clubs, 5 of them can be processed simultaneously) is tracked 
    by membership number (if a club doesn't have numbers, callsign is used) 
  * config file is stored directly to the main database. If a log is opened on 
    another computer, the settings will remain the same
  * other windows (Grayline, Detail info, DX cluster etc.) auto-opened only if they 
    were previously opened in running CQRLOG which was properly (regularly) closed 
  * new faster ADIF import
  * CQRLOG can be used on local computer with MySQL embedded or on a MySQL server, 
    CQRLOG can be run on another (remote) machine 
  * echo for telnet DX cluster added (the sent-out command is also displayed in DX 
    cluster window) 
  * clear log function added (in database connection window all log data can be 
    erased but the log file is not deleted) 
  * new About window added
  * changelog in html format added
  * membership databases updated
  * manual page added

 -- Petr Hlozek <petr@ok2cqr.com>  Tue, 7 Jun 2011 20:05:00 +0100

## cqrlog 1.1.0

=== debian/changelog ===
cqrlog (1.1.0-1) unstable; urgency=low

  * qrz.com XML search function added (Preferences -> Callbook)
  * RST format is not changing when Automode is disabled
  * big square statistic added

 -- Petr Hlozek <petr@ok2cqr.com>  Thu, 23 Jun 2011 19:30:00 +0100

## cqrlog 1.2.2

=== Makefile ===
CC=lazbuild
ST=strip
datadir  = $(DESTDIR)/usr/share/cqrlog
bindir   = $(DESTDIR)/usr/bin
sharedir = $(DESTDIR)/usr/share

cqrlog: src/cqrlog.lpi
	$(CC) --ws=gtk2 src/cqrlog.lpi
	$(ST) src/cqrlog
	gzip tools/cqrlog.1 -c > tools/cqrlog.1.gz

clean:
	rm -f -v src/*.o src/*.ppu src/*.bak src/lnet/lib/*.ppu src/lnet/lib/*.o src/lnet/lib/*.bak src/cqrlog src/cqrlog.compiled debian/cqrlog.* src/ipc/*.o src/ipc/*.ppu src/cqrlog.or
	rm -rf debian/cqrlog
	rm -f -v src/mysql/*.ppu src/mysq/*.bak src/mysql/*.o
	rm -f -v tools/cqrlog.1.gz
	
install:
	install -d -v         $(bindir)
	install -d -v         $(datadir)
	install -d -v         $(datadir)/ctyfiles
	install -d -v         $(datadir)/help
	install -d -v         $(datadir)/help/img
	install -d -v         $(datadir)/members
	install -d -v         $(datadir)/xplanet
	install -d -v         $(datadir)/zipcodes
	install -d -v         $(datadir)/images 
	install -d -v         $(sharedir)/pixmaps/cqrlog
	install -d -v         $(sharedir)/icons
	install -d -v         $(sharedir)/applications
	install -d -v         $(sharedir)/man/man1
	install    -v -m 0755 src/cqrlog $(bindir)
	install    -v -m 0755 tools/cqrlog-apparmor-fix $(datadir)/cqrlog-apparmor-fix
	install    -v -m 0644 ctyfiles/* $(datadir)/ctyfiles/
	install    -v -m 0644 help/img/* $(datadir)/help/img/
	install    -v -m 0644 help/*.*   $(datadir)/help/
	install    -v -m 0644 members/*  $(datadir)/members/
	install    -v -m 0644 xplanet/*  $(datadir)/xplanet/
	install    -v -m 0644 zipcodes/* $(datadir)/zipcodes/
	install    -v -m 0644 images/*   $(datadir)/images/
	install    -v -m 0644 tools/cqrlog.desktop $(sharedir)/applications/cqrlog.desktop
	install    -v -m 0644 images/cqrlog.png $(sharedir)/pixmaps/cqrlog/cqrlog.png
	install    -v -m 0644 images/cqrlog.png $(sharedir)/icons/cqrlog.png  
	install    -v -m 0644 src/changelog.html $(datadir)/changelog.html
	install    -v -m 0644 tools/cqrlog.1.gz $(sharedir)/man/man1/cqrlog.1.gz
deb:
	dpkg-buildpackage -rfakeroot -i -I
deb_src:
	dpkg-buildpackage -rfakeroot -i -I -S

## cqrlog 1.2.1

=== debian/changelog ===
cqrlog (1.2.1-1) unstable; urgency=low

  * HamQTH.com integration improved
  * qrz.com XML search fixed

 -- Petr Hlozek <petr@ok2cqr.com>  Sun, 31 Jul 2011 10:00:00 +0100

cqrlog (1.2.0-1) unstable; urgency=low

  * HamQTH.com XML search added
  * after View QSO New QSO window remained in readonly mode - fixed
  * CTRL+F2 hotkey didn't work in New QSO window - fixed
  * DELETE statement wasn't supported in SQL console - fixed
  * in Remote mode when time pass the midnight hour date remain 
    the same - fixed
  * program crashed after attempt to edit QSO when log was in
    remote mode - fixed
  * ADIF import crashed when QSO had wrong freq or band - fixed
  * LoTW statistic always showed 0  confirmed countries - fixed

 -- Petr Hlozek <petr@ok2cqr.com>  Thu, 28 Jul 2011 16:00:00 +0100

=== debian/control ===
Source: cqrlog
Section: hamradio
Priority: extra
Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
Uploaders: Petr Hlozek <petr@ok2cqr.com>, Kamal Mostafa <kamal@whence.com>
Build-Depends: debhelper (>= 7), lazarus-0.9.30 | lazarus (>= 0.9.29), lcl-0.9.30 | lcl (>= 0.9.30), fp-utils, fp-units-misc, fp-units-gfx, fp-units-gtk, fp-units-db, libhamlib-dev (>= 1.2.10)
Standards-Version: 3.9.2
Homepage: http://www.cqrlog.com

Package: cqrlog
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libssl-dev, mysql-server, mysql-client, libhamlib2 (>= 1.2.10)
Description: Advanced logging program for hamradio operators
 CQRLOG is an advanced ham radio logger based on MySQL embedded database. 
 Provides radio control based on hamlib libraries (currently support of 140+ 
 radio types and models), DX cluster connection, QRZ callbook (web version), 
 a grayliner, internal QSL manager database support and a most accurate country 
 resolution algorithm based on country tables developed by OK1RR. 
 CQRLOG is intended for daily general logging of HF, CW & SSB contacts and 
 strongly focused on easy operation and maintenance.

## cqrlog 1.2.2

=== debian/changelog ===
cqrlog (1.2.2-2ubuntu1) precise; urgency=low

  * Update alternate build-depends on {lazarus|lcl}-0.9.30.2

 -- Andreas Moog <amoog@ubuntu.com>  Thu, 12 Jan 2012 18:10:13 +0100

cqrlog (1.2.2-2) unstable; urgency=low

  * debian/control: fixed alternative dependency order for lazarus, lcl
    (Closes: #652176)

 -- Kamal Mostafa <kamal@whence.com>  Thu, 15 Dec 2011 15:00:53 -0800

cqrlog (1.2.2-1) unstable; urgency=low

  * FREQ field added to ADIF export for LoTW
  * ROS mode added
  * new Ubuntu scrollbars disabled (a lot of problems solved)
  * after chnge to another log, QTH profile remained the same - fixed
  * QSO from ADIF with freq over 147MHz were refused - fixed

 -- Petr Hlozek <petr@ok2cqr.com>  Sun, 23 OCT 2011 11:00:00 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: cqrlog
 Section: hamradio
 Priority: extra
-Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
 Uploaders: Petr Hlozek <petr@ok2cqr.com>, Kamal Mostafa <kamal@whence.com>
-Build-Depends: debhelper (>= 7), lazarus-0.9.30 | lazarus (>= 0.9.29), lcl-0.9.30 | lcl (>= 0.9.30), fp-utils, fp-units-misc, fp-units-gfx, fp-units-gtk, fp-units-db, libhamlib-dev (>= 1.2.10)
+Build-Depends: debhelper (>= 7), lazarus (>= 0.9.29) | lazarus-0.9.30.2, lcl (>= 0.9.30) | lcl-0.9.30.2, fp-utils, fp-units-misc, fp-units-gfx, fp-units-gtk, fp-units-db, libhamlib-dev (>= 1.2.10)
 Standards-Version: 3.9.2
 Homepage: http://www.cqrlog.com

## cqrlog 1.4.1

=== debian/changelog ===
cqrlog (1.4.1-1) unstable; urgency=low

  * keys in CW Fx window also send CW messages
  * error after click to "Station list" button in WAS 
    statistic - fixed
  * wrong US state was marked like AL in WAS statistic - fixed
  * fixed TRX control
  * after change TRX name in Preference, the description in TRX 
    window wasn't changed - fixed
  * number of cfm DXCC in mode table was the same like in total 
    DXCC cfm - fixed 
  * fixed problem with null comamnds in WKUSB communication

 -- Petr Hlozek <petr@ok2cqr.com>  Sat, 04 MAY 2012 20:30:00 +0100

cqrlog (1.4.0-1) unstable; urgency=low

  * freq is displayed in 10Hz resolution instead of 100Hz
  * Country name field into QSO list added
  * added OR symbol into QSL_S combo box (Online Request)
  * OK, Cancel and other buttons in filter window moved to the 
    right to reduce window height
  * rig control rewrited to use rigctld
  * LoTW/eQSL users has the same background color also in bandmap
  * IOTA information inserted from HamQTH callbook
  * eQSL import error log is now stored into user's home directory
  * added CTRL+I hotkey for ADIF import function (in New QSO window)
  * you can set different background color for eQSL and LoTW users
  * power wasn't imported from ADIF file - fixed
  * QSLR field was sometimes empty even if QSO was confirmed - fixed

 -- Petr Hlozek <petr@ok2cqr.com>  Sat, 27 APR 2012 20:30:00 +0100

cqrlog (1.3.1-2) unstable; urgency=low

  * rebuild for Ubuntu 12.04

 -- Petr Hlozek <petr@ok2cqr.com>  Fri, 24 FEB 2012 22:30:00 +0100

cqrlog (1.3.1-1) unstable; urgency=low

  * CQRLOG won't run on Ubuntu 12.04 - fixed
  * previous qso for callsign with / didn't work when
    "In previous QSO list show also QSO with call/p " option
    enabled - fixed

 -- Petr Hlozek <petr@ok2cqr.com>  Tue, 21 FEB 2012 20:30:00 +0100

cqrlog (1.3.0-1) unstable; urgency=low

  * full eQSL support added (filter, statistics, export, import ...)
  * DXCC, WAS, WAC, ITU, WAZ and IOTA statistic improved
  * export QSO to CSV file for SOTA website added
  * option to show previous QSO with station that was /p, /m etc added
  * program now takes UTC time from the computer time
  * added new column "qslr" into QSO list where you can see symbols for
    paper QSL confirmed, LoTW and eQSL together
  * refresh button to propagation window added
  * files with LoTW and eQSL users list are part of DXCC tables
  * export in SQL console crashed when the field was NULL - fixed
  * qrz.com button fixed
  * database update didn't affect QTH field - fixed
  * height and width was saved also for dialog (non-sizeable)
    windows - fixed
  * xplanet config file was always overwriten - fixed
  * GF in propagation windows was empty - fixed
  * QSL manager search in QSO list window didn't work - fixed
  * MM and AM station didn't get to bandmap - fixed

 -- Petr Hlozek <petr@ok2cqr.com>  Sat, 21 JAN 2012 20:00:00 +0100

=== debian/control ===
Source: cqrlog
Section: hamradio
Priority: extra
Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
Uploaders: Petr Hlozek <petr@ok2cqr.com>, Kamal Mostafa <kamal@whence.com>
Build-Depends: debhelper (>= 7), lazarus (>= 0.9.29) | lazarus-0.9.30, lcl (>= 0.9.30) | lcl-0.9.30, fp-utils, fp-units-misc, fp-units-gfx, fp-units-gtk, fp-units-db, libhamlib-dev (>= 1.2.10)
Standards-Version: 3.9.2
Homepage: http://www.cqrlog.com

Package: cqrlog
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libssl-dev, mysql-server, mysql-client, libhamlib2 (>= 1.2.10), libhamlib-utils (>= 1.2.10)
Description: Advanced logging program for hamradio operators
 CQRLOG is an advanced ham radio logger based on MySQL embedded database. 
 Provides radio control based on hamlib libraries (currently support of 140+ 
 radio types and models), DX cluster connection, HamQTH/QRZ callbook (XML access), 
 a grayliner, internal QSL manager database support and a most accurate country 
 resolution algorithm based on country tables developed by OK1RR. 
 CQRLOG is intended for daily general logging of HF, CW & SSB contacts and 
 strongly focused on easy operation and maintenance.

=== debian/watch ===
version=3

http://www.cqrlog.com/deb_src/index.php cqrlog_(.+).tar.gz

## cqrlog 1.5.2

=== debian/changelog ===
cqrlog (1.5.2-1) unstable; urgency=low

  * added CTRL+W hotkey to send spots to dxcluster
  * DX cluster shows also country name next to the spot 
    (must be enabled in Prefereces)
  * international characters in New QSO window should work again
  * DX spots with freq eqauls to the start of the band (21.000, 
    14.000 etc., usually notes) are ignored
  * HamQTH added to dx clusters list
  * fixed reading A-index (was 1 even when actually was 10)
  * /MM, /AM and stations with unknown DXCC country didn't appear 
    in bandmap
  * database update hangs
  * fixed xml request address of qrz.com
  * DXCC CFM count function didn't uses eQSL cfm QSO
  * fixed reading mode from FT-920 (returned MEMO as VFO)
  * fixed bug in dxcluster caused program crashed randomly
  * program didn't apply eQSL rcvd when the band was in lowercase

 -- Petr Hlozek <petr@ok2cqr.com>  Mon, 8 OCT 2012 19:01:00 +0100

cqrlog (1.5.1-1) unstable; urgency=low
  * fixed program crash when scrolling down in QSO list window
  * Clear new QSO window after significant freq change option
    removed

 -- Petr Hlozek <petr@ok2cqr.com>  Sun, 5 AUG 2012 19:01:00 +0100

cqrlog (1.5.0-1) unstable; urgency=low

  * brand new user friendly TRX control settings
  * user can change freq in drop down list in new qso window
  * clear RIT after saving QSO added
  * clear New QSO window after significant freq change option
    added
  * remove dupes from the log function added
  * native support of connection to MySQL server 5.5
  * sh/dx cluster command fill the bandmap
  * members database updated
  * country tables updated
  * program hangs when LoTW password was wrong or server
    was down
  * wrong freq caused program crash with unfriendly message
  * dx cluster autologin didin't work when the prompt was
    "Please enter your call:"
  * after save QSO got endtime and start date not end date
  * 5MHz band is not visible even if is checked in
    Preferences -> Bands
  * program crashed after editing QSO from QSO list window
    (edit, close window, hit enter) - fixed
  * station with /P, /M, KH6/ etc. get his original QTH and grid from
    callbook - fixed
  * Database update function fixed

 -- Petr Hlozek <petr@ok2cqr.com>  Sun, 29 JUL 2012 19:00:00 +0100

cqrlog (1.4.2-1) unstable; urgency=low

  * removed ScrollWidth from lbPreferences

 -- Petr Hlozek <petr@ok2cqr.com>  Sun, 05 MAY 2012 19:00:00 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
 Uploaders: Petr Hlozek <petr@ok2cqr.com>, Kamal Mostafa <kamal@whence.com>
 Build-Depends: debhelper (>= 7), lazarus (>= 0.9.29) | lazarus-0.9.30, lcl (>= 0.9.30) | lcl-0.9.30, fp-utils, fp-units-misc, fp-units-gfx, fp-units-gtk, fp-units-db, libhamlib-dev (>= 1.2.10)
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://www.cqrlog.com
 
 Package: cqrlog

## cqrlog 1.7.3

=== debian/changelog ===
cqrlog (1.7.3-1) unstable; urgency=medium

  * New Upstream Release

 -- Colin Tuckley <colint@debian.org>  Mon, 17 Feb 2014 19:27:45 +0000

cqrlog (1.7.1-3) unstable; urgency=medium

  * Remove src/ipc and src/mysql directories in debian/rules
    since they are no longer needed (Closes: #692820)
  * Add Keywords to cqrlog.desktop file

 -- Colin Tuckley <colint@debian.org>  Mon, 27 Jan 2014 19:31:46 +0000

cqrlog (1.7.1-2) unstable; urgency=medium

  * Really fix #713516 by stopping lazbuild trying to write to ~/
  * Fix long description to remove lines longer than 80
  * Update watch file

 -- Colin Tuckley <colint@debian.org>  Mon, 27 Jan 2014 11:10:15 +0000

cqrlog (1.7.1-1) unstable; urgency=low
  * "When TRX control is not active, use frequency and mode 
    from NewQSO window" option to Preferences->Band map added
  * CTRL+N hotkey to QSO list window added (do NOT send QSL)
  * TRX control window was not sizeable - fixed
  * when ESC was pressed twice in Remote mode, log crashed - fixed
  * program crashed when freq was entered with comma as decimal 
    separator - fixed
  * broken grid square statistic fixed  
  * building deb package fixed (Closes: #713516)
  * debian/control: added depency fp-units-math, build fixed 
    (Closes: #720701)
  * debian/control: added MariaDB as alternative dependecy
    (Closes: #732863)

 -- Petr Hlozek <petr@ok2cqr.com>  Sun, 26 Jan 2014 15:10:00 +0100

cqrlog (1.7.0-1) unstable; urgency=low

  * online QSO upload to HamQTH, ClubLog and HRDLog added
  * improved QSL managers import, should be faster a bit
  * "Long Path" button to Rotor Control added (Darek, SP2MKI)
  * COMMENT field is exported to eQSL server
  * Always overwrite info from previous QSO with callbook 
    data option added
  * help updated
  * country files updated
  * membership files updated
  * layout improved (mostly new QSO window)
  * LoTW QSL RCVD was not imported when ADIF didn't include 
    LOTW_QSLRDATE value - fixed
  * CONTESTIA mode was saved as CONSTESTI (increased max 
    length of mode to 10 characters) - fixed
  * ReverseBeacon support in Gray line didn't work - fixed
  * after click to OK button in Preferences, bandmap stopped 
    deleting old spots - fixed    
  * bandmap was not updated when any spot was not added - fixed
  * station was added to bandmap when offline mode was activated
  * big square statistics didn't work in newer versions of 
    distributions - fixed
  * QSO JT65* mode were not confirmed by eQSL - fixed  

 -- Petr Hlozek <petr@ok2cqr.com>  Sun, 12 Jan 2014 17:16:00 +0100

cqrlog (1.6.1-1) unstable; urgency=low

  * 630M band added
  * added OQRS (online QSL request system) to QSL sent menu
  * added "Always sort by QSO date" option to Search function
  * cursor is moved to last opened log in DB connection window
  * "Ask before creating a backup" option to "Auto backup" added
  * program freezed for a few miliseconds with every bandmap 
    refresh - fixed
  * "MySQL server has gone away" problem fixed
  * mebership values collation were case sensistive - fixed
  * ADIF import sometimes crashed with access vioalation, now 
    will show what happened
  * qrz search with right click on a call in the recent QSOs list 
    didn't work
  * band map font settings was not loaded when program started
  * band map is much faster, a few optimalization added

 -- Petr Hlozek <petr@ok2cqr.com>  Sun, 10 Nov 2013 18:28:00 +0100

cqrlog (1.6.0-1) unstable; urgency=low

  * added whole new bandmap with frequecy indicator
  * your CQ received by RBN will be visible in gray line map
  * local mysqld is executed only when the log is stored to 
    local machine
  * added JT9 to list of modes
  * added Power field to filter window
  * option to show distance in miles instead of km added
  * limit of max QSO on QSL label increased
  * double click on bandmap didn't work when the spot had split info
  * propagation info in spot notes has correct format
  * existing band map record was not updated from dx cluster
  * program didn't accept ITU zones 78 and 90
  * program used QTH from previous QSO even is the station was /P
  * app crashed after start on Ubuntu 13.10

 -- Petr Hlozek <petr@ok2cqr.com>  Sun, 08 SEP 2013 15:35:00 +0100
  

cqrlog (1.5.8-1) unstable; urgency=low

  * nothing happened after double click on bandmap spot - fixed

 -- Petr Hlozek <petr@ok2cqr.com>  Mon, 01 JUL 2013 10:02:00 +0100
  

cqrlog (1.5.7-1) unstable; urgency=low
   
  * Enter key in Filter window will activate the filter
  * blank locator field in Group edit clears locator field
  * ADIF export didn't contain DXCC field with ADIF id of the country
  * graline caused program crash after compile with recent FPC and 
    Lazarus versions
  * when the grid was in lowercase, the Big square statistic was 
    broken
  * bandmap didn't worked if the freq of QSO precision was to one Hz
  * debug level settings didn't worked at all 
  * QSO will be confirmed when time difference between QSO and QSO 
    from LoTW is not more than 10 minutes

 -- Petr Hlozek <petr@ok2cqr.com>  Sun, 30 JUN 2013 10:02:00 +0100

cqrlog (1.5.6-1) unstable; urgency=low
   
  * if any error message about LoTW import appear, you can open it in 
    external app directly from CQRLOG	
  * LoTW upload url changed
  * fixed "An invalid integer value" error during label export
  * import of QSO with custom digi mode didn't worked if the list 
    of modes didn't ended with comma (,) - fixed
  * bandmap didn't worked if the freq of QSO precision was to ten Hz
  * station with /AM and /MM caused error "You must enter correct 
    WAZ zone!" - fixed	
  * removed mode from search criteria to confirm QSO via LoTW
  * QSO will be confirmed when time difference between QSO and QSO 
    from LoTW is not more than 1 hour
  * default debug level is set 0, if you want to get more info what 
    cqrlog does, run it with debug=1 or more

 -- Petr Hlozek <petr@ok2cqr.com>  Sun, 19 MAY 2013 11:04:00 +0100



=== debian/control ===
Source: cqrlog
Section: hamradio
Priority: extra
Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
Uploaders: Petr Hlozek <petr@ok2cqr.com>, Kamal Mostafa <kamal@whence.com>, Colin Tuckley <colint@debian.org>
Build-Depends: debhelper (>= 7), lazarus (>= 0.9.29) | lazarus-0.9.30, lcl (>= 0.9.30) | lcl-0.9.30, fp-utils, fp-units-misc, fp-units-gfx, fp-units-gtk, fp-units-db, libhamlib-dev (>= 1.2.10), fp-units-math
Standards-Version: 3.9.5
Homepage: http://www.cqrlog.com

Package: cqrlog
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libssl-dev, mariadb-server | mysql-server, mariadb-client | mysql-client, libhamlib2 (>= 1.2.10), libhamlib-utils (>= 1.2.10)
Description: Advanced logging program for hamradio operators
 CQRLOG is an advanced ham radio logger based on MySQL embedded database. 
 Provides radio control based on hamlib libraries (currently support of 140+ 
 radio types and models), DX cluster connection, HamQTH/QRZ callbook
 (XML access), a grayliner, internal QSL manager database support and a most
 accurate country resolution algorithm based on country tables developed by
 OK1RR. CQRLOG is intended for daily general logging of HF, CW & SSB contacts
 and strongly focused on easy operation and maintenance.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh  $@

override_dh_clean:
	rm -rf src/ipc
	rm -rf src/mysql
	dh_clean

=== debian/watch ===
version=3
opts=uversionmangle=s/(\d)[\._](mac|win32|i386|amd64)$/$1~$2/;s/(\d)\.deb\.src/$1/ \
http://www.cqrlog.com/download \
(?:.*[/=]|)cqrlog[_\-](\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz)).*

## cqrlog 1.8.1

=== debian/changelog ===
cqrlog (1.8.1-1) unstable; urgency=medium

  * New upstream release.
  * Remove mariadb-client from Depends since it's currently uninstallable

 -- Colin Tuckley <colint@debian.org>  Sun, 27 Jul 2014 21:01:55 +0100

cqrlog (1.7.4-1) unstable; urgency=medium

  * Update watch file to match upstream names
  * New upstream release
  * Remove depends for database servers in debian/control
    replace with recommends (Closes: #722494)

 -- Colin Tuckley <colint@debian.org>  Sun, 04 May 2014 20:15:22 +0100

## cqrlog 1.8.2

=== debian/changelog ===
cqrlog (1.8.2-1.1+deb8u1) jessie; urgency=medium

  * Non-maintainer upload.
  * tools/cqrlog-apparmor-fix, debian/postrm: Check for /etc/init.d/apparmor
    before restarting apparmor.  (Closes: #864549)

 -- Andreas Beckmann <anbe@debian.org>  Sun, 16 Jul 2017 01:17:50 +0200

cqrlog (1.8.2-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Switch the order of Recommends mariadb-server and mysql-server in
    debian/control to fix the problem that cqrlog cannot be installed
    when mysql-server is not installed (Closes: #777720).
  * Add mariadb-client as an alternative dependency for cqrlog in debian/control
    to fix the installation when using cqrlog with MariaDB (Closes: #777723).
  * Add xplanet to Recommends in debian/control as cqrlog contains a menu
    shortcut for it in its main window which is otherwise useless
    (Closes: #777724).

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Thu, 12 Feb 2015 02:11:34 +0100

cqrlog (1.8.2-1) unstable; urgency=medium

  * New upstream release.

 -- Colin Tuckley <colint@debian.org>  Sat, 04 Oct 2014 16:14:00 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,8 @@
 
 Package: cqrlog
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libssl-dev, mariadb-server | mysql-server, mariadb-client | mysql-client, libhamlib2 (>= 1.2.10), libhamlib-utils (>= 1.2.10)
+Depends: ${shlibs:Depends}, ${misc:Depends}, libssl-dev, mysql-client | mariadb-client, libhamlib2 (>= 1.2.10), libhamlib-utils (>= 1.2.10)
+Recommends: mysql-server | mariadb-server, xplanet
 Description: Advanced logging program for hamradio operators
  CQRLOG is an advanced ham radio logger based on MySQL embedded database. 
  Provides radio control based on hamlib libraries (currently support of 140+

=== debian/watch ===
version=3
opts=uversionmangle=s/(\d)[\._](mac|win32|i386|amd64)$/$1~$2/;s/(\d)\.deb\.src/$1/ \
http://www.cqrlog.com/download \
(?:.*[/=]|)cqrlog[_\-](\d.*)\.(?:src\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))).*

## cqrlog 1.9.0

=== Makefile ===
--- 
+++ 
@@ -23,6 +23,7 @@
 	install -d -v         $(datadir)/help/img
 	install -d -v         $(datadir)/members
 	install -d -v         $(datadir)/xplanet
+	install -d -v         $(datadir)/voice_keyer
 	install -d -v         $(datadir)/zipcodes
 	install -d -v         $(datadir)/images 
 	install -d -v         $(sharedir)/pixmaps/cqrlog
@@ -36,6 +37,9 @@
 	install    -v -m 0644 help/*.*   $(datadir)/help/
 	install    -v -m 0644 members/*  $(datadir)/members/
 	install    -v -m 0644 xplanet/*  $(datadir)/xplanet/
+	install    -v -m 0755 voice_keyer/voice_keyer.sh  $(datadir)/voice_keyer/voice_keyer.sh
+	install    -v -m 0644 voice_keyer/README $(datadir)/voice_keyer/README
+	install    -v -m 0644 voice_keyer/F10.mp3 $(datadir)/voice_keyer/F10.mp3
 	install    -v -m 0644 zipcodes/* $(datadir)/zipcodes/
 	install    -v -m 0644 images/*   $(datadir)/images/
 	install    -v -m 0644 tools/cqrlog.desktop $(sharedir)/applications/cqrlog.desktop

=== debian/changelog ===
cqrlog (1.9.0-5) unstable; urgency=medium

  * Bump debian/compat to 9
  * Apply apparmor fix to /etc/apparmor.d/local/usr.sbin.mysqld
    *not* to /etc/apparmor.d/usr.sbin.mysqld which is a conf file
    (Closes: #801755)

 -- Colin Tuckley <colint@debian.org>  Thu, 12 Nov 2015 10:12:00 +0000

cqrlog (1.9.0-4) unstable; urgency=high

  [ Peter Michael Green ]
  * Avoid using lazbuild for now as it's broken on arm* in sid.

 -- Colin Tuckley <colint@debian.org>  Tue, 01 Sep 2015 17:21:00 +0100

cqrlog (1.9.0-3) unstable; urgency=medium

  * Fix build dependency on fp-units-gtk -> fp-units-gtk2

 -- Colin Tuckley <colint@debian.org>  Mon, 24 Aug 2015 16:37:50 +0100

cqrlog (1.9.0-2) unstable; urgency=medium

  * Fix bug caused by fpc Depends to Recommends change (Closes: #791731)
  * Fix ref to src/RegExpr.pas in debian/copyright (Closes: #787285)
  * Make apparmor init script exec conditional on it being present
    (Closes: #792848)

 -- Colin Tuckley <colint@debian.org>  Tue, 28 Jul 2015 19:42:00 +0100

cqrlog (1.9.0-1) unstable; urgency=medium

  * New upstream release.
  * Ack the NMU.
  * Bump Standards version to 3.9.6 (No changes required).
  * New debian/watch file (Closes: #781599).

 -- Colin Tuckley <colint@debian.org>  Sat, 02 May 2015 17:54:00 +0100

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,12 @@
 Priority: extra
 Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
 Uploaders: Petr Hlozek <petr@ok2cqr.com>, Kamal Mostafa <kamal@whence.com>, Colin Tuckley <colint@debian.org>
-Build-Depends: debhelper (>= 7), lazarus (>= 0.9.29) | lazarus-0.9.30, lcl (>= 0.9.30) | lcl-0.9.30, fp-utils, fp-units-misc, fp-units-gfx, fp-units-gtk, fp-units-db, libhamlib-dev (>= 1.2.10), fp-units-math
-Standards-Version: 3.9.5
+Build-Depends: debhelper (>= 9), lazarus (>= 0.9.29) | lazarus-0.9.30,
+               lcl (>= 0.9.30) | lcl-0.9.30, fp-utils, fp-units-misc,
+               fp-units-gfx, fp-units-gtk2, fp-units-db, libhamlib-dev (>= 1.2.10),
+               fp-units-math, libx11-dev, libgdk-pixbuf2.0-dev, libgtk2.0-dev,
+               libcairo2-dev, libpango1.0-dev, libatk1.0-dev
+Standards-Version: 3.9.6
 Homepage: http://www.cqrlog.com
 
 Package: cqrlog

## cqrlog 1.9.1

=== Makefile ===
--- 
+++ 
@@ -3,9 +3,10 @@
 datadir  = $(DESTDIR)/usr/share/cqrlog
 bindir   = $(DESTDIR)/usr/bin
 sharedir = $(DESTDIR)/usr/share
+tmpdir   = /tmp
 
 cqrlog: src/cqrlog.lpi
-	$(CC) --ws=gtk2 src/cqrlog.lpi
+	$(CC) --ws=gtk2 --pcp=$(tmpdir)/.lazarus src/cqrlog.lpi
 	$(ST) src/cqrlog
 	gzip tools/cqrlog.1 -c > tools/cqrlog.1.gz

=== debian/changelog ===
cqrlog (1.9.1-2) unstable; urgency=medium

  * Remove local copy of openssl unit and add build-dependency
    on fp-units-net to resolve unit conflict (Closes: 818391)
    patch from Peter Green <plugwash@debian.org>

 -- Colin Tuckley <colint@debian.org>  Thu, 17 Mar 2016 09:54:12 +0000

cqrlog (1.9.1-1) unstable; urgency=medium

  * New upstream release
  * Patch from Peter Green to fix FPC 3.0 compile
    (Closes: #813461)
  * Bump Standards version to 3.9.7 (No changes required).

 -- Colin Tuckley <colint@debian.org>  Tue, 01 Mar 2016 10:29:40 +0000

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,8 @@
                lcl (>= 0.9.30) | lcl-0.9.30, fp-utils, fp-units-misc,
                fp-units-gfx, fp-units-gtk2, fp-units-db, libhamlib-dev (>= 1.2.10),
                fp-units-math, libx11-dev, libgdk-pixbuf2.0-dev, libgtk2.0-dev,
-               libcairo2-dev, libpango1.0-dev, libatk1.0-dev
-Standards-Version: 3.9.6
+               libcairo2-dev, libpango1.0-dev, libatk1.0-dev, fp-units-net
+Standards-Version: 3.9.7
 Homepage: http://www.cqrlog.com
 
 Package: cqrlog

## cqrlog 2.0.0

=== debian/changelog ===
cqrlog (2.0.0-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards version to 3.9.8 (No changes required).

 -- Colin Tuckley <colint@debian.org>  Tue, 03 May 2016 09:52:30 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                fp-units-gfx, fp-units-gtk2, fp-units-db, libhamlib-dev (>= 1.2.10),
                fp-units-math, libx11-dev, libgdk-pixbuf2.0-dev, libgtk2.0-dev,
                libcairo2-dev, libpango1.0-dev, libatk1.0-dev, fp-units-net
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: http://www.cqrlog.com
 
 Package: cqrlog

=== debian/rules ===
--- 
+++ 
@@ -15,4 +15,5 @@
 override_dh_clean:
 	rm -rf src/ipc
 	rm -rf src/mysql
+	rm -rf src/lnet/lib/openssl.pas
 	dh_clean

## cqrlog 2.0.1

=== Makefile ===
--- 
+++ 
@@ -52,3 +52,7 @@
 	dpkg-buildpackage -rfakeroot -i -I
 deb_src:
 	dpkg-buildpackage -rfakeroot -i -I -S
+debug:
+	$(CC) --ws=gtk2 --pcp=$(tmpdir)/.lazarus src/cqrlog.lpi
+	gzip tools/cqrlog.1 -c > tools/cqrlog.1.gz
+

=== debian/changelog ===
cqrlog (2.0.1-1) unstable; urgency=medium

  * New upstream bugfix release (Closes: 823415)

 -- Colin Tuckley <colint@debian.org>  Sat, 07 May 2016 11:26:20 +0100

## cqrlog 2.0.2

=== Makefile ===
--- 
+++ 
@@ -12,6 +12,7 @@
 
 clean:
 	rm -f -v src/*.o src/*.ppu src/*.bak src/lnet/lib/*.ppu src/lnet/lib/*.o src/lnet/lib/*.bak src/cqrlog src/cqrlog.compiled debian/cqrlog.* src/ipc/*.o src/ipc/*.ppu src/cqrlog.or
+	rm -f -v src/*.lrs src/*.ps src/*.lrt src/*.rsh  src/*.rst src/*.a
 	rm -rf debian/cqrlog
 	rm -f -v src/mysql/*.ppu src/mysq/*.bak src/mysql/*.o
 	rm -f -v tools/cqrlog.1.gz

=== debian/changelog ===
cqrlog (2.0.2-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Colin Tuckley <colint@debian.org>  Fri, 09 Sep 2016 13:58:50 +0100

## cqrlog 2.0.5

=== Makefile ===
--- 
+++ 
@@ -28,8 +28,12 @@
 	install -d -v         $(datadir)/voice_keyer
 	install -d -v         $(datadir)/zipcodes
 	install -d -v         $(datadir)/images 
+	install -d -v         $(datadir)/images/icon/32x32 
+	install -d -v         $(datadir)/images/icon/64x64
+	install -d -v         $(datadir)/images/icon/128x128 
+	install -d -v         $(datadir)/images/icon/256x256 
 	install -d -v         $(sharedir)/pixmaps/cqrlog
-	install -d -v         $(sharedir)/icons
+	install -d -v         $(sharedir)/icons/cqrlog
 	install -d -v         $(sharedir)/applications
 	install -d -v         $(sharedir)/man/man1
 	install    -v -m 0755 src/cqrlog $(bindir)
@@ -43,10 +47,18 @@
 	install    -v -m 0644 voice_keyer/README $(datadir)/voice_keyer/README
 	install    -v -m 0644 voice_keyer/F10.mp3 $(datadir)/voice_keyer/F10.mp3
 	install    -v -m 0644 zipcodes/* $(datadir)/zipcodes/
-	install    -v -m 0644 images/*   $(datadir)/images/
+#	install -v -m 0644 -t images/*   $(datadir)/images/
+	cp -v -R images/* $(datadir)/images
+	cp -v -R images/icon/* $(sharedir)/icons/cqrlog
+	cp -v -R images/icon/* $(sharedir)/pixmaps/cqrlog
+#	install    -v -m 0644 images/icon/32x32/*   $(datadir)/images/icon/32x32/
+#	install    -v -m 0644 images/icon/64x64/*   $(datadir)/images/icon/64x64/
+#	install    -v -m 0644 images/icon/128x128/*   $(datadir)/images/icon/128x128/
+#	install    -v -m 0644 images/icon/256x256/*   $(datadir)/images/icon/256x256/
+#	install    -v -m 0644 images/*   $(datadir)/images/
 	install    -v -m 0644 tools/cqrlog.desktop $(sharedir)/applications/cqrlog.desktop
-	install    -v -m 0644 images/cqrlog.png $(sharedir)/pixmaps/cqrlog/cqrlog.png
-	install    -v -m 0644 images/cqrlog.png $(sharedir)/icons/cqrlog.png  
+	install    -v -m 0644 images/icon/32x32/cqrlog.png $(sharedir)/pixmaps/cqrlog/cqrlog.png
+	install    -v -m 0644 images/icon/128x128/cqrlog.png $(sharedir)/icons/cqrlog.png
 	install    -v -m 0644 src/changelog.html $(datadir)/changelog.html
 	install    -v -m 0644 tools/cqrlog.1.gz $(sharedir)/man/man1/cqrlog.1.gz
 deb:

=== debian/changelog ===
cqrlog (2.0.5-3ubuntu1) artful; urgency=medium

  * Match the Ubuntu libssl version

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 11 Sep 2017 09:59:42 +0200

cqrlog (2.0.5-3) unstable; urgency=medium

  * Fix various spelling errors
  * Bump Standards version to 4.0.0 (No changes required).
  * Add d/clean to remove src/RegExpr.pas as it conflicts with the RegExpr
    unit in lazarus. Patch from Paul Gevers <elbrus@debian.org>
    (Closes: 865777)

 -- Colin Tuckley <colint@debian.org>  Thu, 27 Jul 2017 10:34:49 +0100

cqrlog (2.0.5-2) unstable; urgency=medium

  * Add icon to /usr/share/icons/hicolor/<size>/apps
    (Closes: 841369)

 -- Colin Tuckley <colint@debian.org>  Thu, 06 Jul 2017 08:50:00 +0100

cqrlog (2.0.5-1) unstable; urgency=medium

  * New upstream bugfix release. (Closes: 841369)
  * fixed mysql dependencies (Closes: 848430)
  * fixed default database dependencies (Closes: 863644)
  * fix upgrade problem with fail to remove (Closes: 864549)

 -- Colin Tuckley <colint@debian.org>  Sat, 01 Jul 2017 12:03:00 +0100

cqrlog (2.0.4-1) unstable; urgency=medium

  * New upstream bugfix release.
  * depend on libssl 1.0 until upstream supports 1.1
  * fix minor spelling errors

 -- Colin Tuckley <colint@debian.org>  Mon, 30 Jan 2017 19:43:20 +0000

=== debian/control ===
--- 
+++ 
@@ -6,15 +6,15 @@
 Build-Depends: debhelper (>= 9), lazarus (>= 0.9.29) | lazarus-0.9.30,
                lcl (>= 0.9.30) | lcl-0.9.30, fp-utils, fp-units-misc,
                fp-units-gfx, fp-units-gtk2, fp-units-db, libhamlib-dev (>= 1.2.10),
-               fp-units-math, libx11-dev, libgdk-pixbuf2.0-dev, libgtk2.0-dev,
+               fp-units-math, libx11-dev, libgdk-pixbuf2.0-dev, libgtk2.0-dev, libssl1.0-dev,
                libcairo2-dev, libpango1.0-dev, libatk1.0-dev, fp-units-net
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: http://www.cqrlog.com
 
 Package: cqrlog
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libssl-dev, mysql-client | mariadb-client, libhamlib2 (>= 1.2.10), libhamlib-utils (>= 1.2.10)
-Recommends: mysql-server | mariadb-server, xplanet
+Depends: ${shlibs:Depends}, ${misc:Depends}, libssl1.0.0, default-mysql-client, libhamlib2 (>= 1.2.10), libhamlib-utils (>= 1.2.10)
+Recommends: default-mysql-server, xplanet
 Description: Advanced logging program for hamradio operators
  CQRLOG is an advanced ham radio logger based on MySQL embedded database. 
  Provides radio control based on hamlib libraries (currently support of 140+

=== debian/rules ===
--- 
+++ 
@@ -17,3 +17,6 @@
 	rm -rf src/mysql
 	rm -rf src/lnet/lib/openssl.pas
 	dh_clean
+
+override_dh_installchangelogs:
+	dh_installchangelogs src/CHANGELOG

=== debian/watch ===
version=3
https://github.com/ok2cqr/cqrlog/tags .*/v(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))

## cqrlog 2.3.0

=== debian/changelog ===
cqrlog (2.3.0-2) unstable; urgency=medium

  * Team upload.
  * Add dependency on mysql server and client libraries. We use
    libmariadb-dev-compat because we need libmariadbclient.so*.
    (Closes: 920232)

 -- Christoph Berg <christoph.berg@credativ.de>  Thu, 24 Jan 2019 14:22:37 +0100

cqrlog (2.3.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version.
  * Remove build-dependency on libssl*-dev, it is not used at build time.
  * Remove hardcoded dependency on libssl at runtime; we depend on
    default-mysql-client which will pull in a suitable libssl package anyway.
    (Closes: #867140)
  * Move appdata.xml to /usr/share/metainfo.
  * Priority: optional.
  * Run wrap-and-sort -st.

 -- Christoph Berg <myon@debian.org>  Sat, 12 Jan 2019 18:51:27 +0100

=== debian/control ===
Source: cqrlog
Section: hamradio
Priority: optional
Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
Uploaders:
 Petr Hlozek <petr@ok2cqr.com>,
 Kamal Mostafa <kamal@whence.com>,
 Colin Tuckley <colint@debian.org>,
Build-Depends:
 debhelper (>= 9),
 fp-units-db,
 fp-units-gfx,
 fp-units-gtk2,
 fp-units-math,
 fp-units-misc,
 fp-units-net,
 fp-utils,
 lazarus (>= 0.9.29) | lazarus-0.9.30,
 lcl (>= 0.9.30) | lcl-0.9.30,
 libatk1.0-dev,
 libcairo2-dev,
 libgdk-pixbuf2.0-dev,
 libgtk2.0-dev,
 libhamlib-dev (>= 1.2.10),
 libpango1.0-dev,
 libx11-dev,
Standards-Version: 4.3.0
Homepage: http://www.cqrlog.com
Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/cqrlog
Vcs-Git: https://salsa.debian.org/debian-hamradio-team/cqrlog.git

Package: cqrlog
Architecture: any
Depends:
 default-mysql-client-core | virtual-mysql-client-core,
 default-mysql-server-core | virtual-mysql-server-core,
 libhamlib-utils (>= 1.2.10),
 libhamlib2 (>= 1.2.10),
 libmariadb-dev-compat,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends: default-mysql-server, xplanet
Description: Advanced logging program for hamradio operators
 CQRLOG is an advanced ham radio logger based on MySQL embedded database.
 Provides radio control based on hamlib libraries (currently support of 140+
 radio types and models), DX cluster connection, HamQTH/QRZ callbook
 (XML access), a grayliner, internal QSL manager database support and a most
 accurate country resolution algorithm based on country tables developed by
 OK1RR. CQRLOG is intended for daily general logging of HF, CW & SSB contacts
 and strongly focused on easy operation and maintenance.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh  $@

override_dh_clean:
	rm -rf src/ipc
	rm -rf src/mysql
	rm -rf src/lnet/lib/openssl.pas
	dh_clean

override_dh_installchangelogs:
	dh_installchangelogs src/CHANGELOG

## cqrlog 2.4.0

=== Makefile ===
--- 
+++ 
@@ -12,10 +12,13 @@
 
 clean:
 	rm -f -v src/*.o src/*.ppu src/*.bak src/lnet/lib/*.ppu src/lnet/lib/*.o src/lnet/lib/*.bak src/cqrlog src/cqrlog.compiled debian/cqrlog.* src/ipc/*.o src/ipc/*.ppu src/cqrlog.or
-	rm -f -v src/*.lrs src/*.ps src/*.lrt src/*.rsh  src/*.rst src/*.a
+	rm -f -v src/*.lrs src/*.ps src/*.lrt src/*.rsh  src/*.rst src/*.a src/synapse/*.a src/synapse/*.o src/synapse/*.ppu
 	rm -rf debian/cqrlog
 	rm -f -v src/mysql/*.ppu src/mysq/*.bak src/mysql/*.o
 	rm -f -v tools/cqrlog.1.gz
+	rm -rf src/backup
+	rm -f -v src/richmemo/*.o src/richmemo/*.ppu src/richmemo/gtk2/*.ppu src/richmemo/gtk2/*.o
+	rm -f -v tools/adif_hash_generator tools/adif_hash_generator.lpi tools/adif_hash_generator.lps
 	
 install:
 	install -d -v         $(bindir)
@@ -35,6 +38,7 @@
 	install -d -v         $(sharedir)/pixmaps/cqrlog
 	install -d -v         $(sharedir)/icons/cqrlog
 	install -d -v         $(sharedir)/applications
+	install -d -v         $(sharedir)/appdata
 	install -d -v         $(sharedir)/man/man1
 	install    -v -m 0755 src/cqrlog $(bindir)
 	install    -v -m 0755 tools/cqrlog-apparmor-fix $(datadir)/cqrlog-apparmor-fix
@@ -57,6 +61,7 @@
 #	install    -v -m 0644 images/icon/256x256/*   $(datadir)/images/icon/256x256/
 #	install    -v -m 0644 images/*   $(datadir)/images/
 	install    -v -m 0644 tools/cqrlog.desktop $(sharedir)/applications/cqrlog.desktop
+	install    -v -m 0644 tools/cqrlog.appdata.xml $(sharedir)/appdata/cqrlog.appdata.xml
 	install    -v -m 0644 images/icon/32x32/cqrlog.png $(sharedir)/pixmaps/cqrlog/cqrlog.png
 	install    -v -m 0644 images/icon/128x128/cqrlog.png $(sharedir)/icons/cqrlog.png
 	install    -v -m 0644 src/changelog.html $(datadir)/changelog.html

=== debian/changelog ===
cqrlog (2.4.0-3) unstable; urgency=medium

  * Now really source-only team upload.

 -- Christoph Berg <myon@debian.org>  Mon, 13 Jan 2020 13:04:39 +0100

cqrlog (2.4.0-2) unstable; urgency=medium

  * Source-only team upload.

 -- Christoph Berg <myon@debian.org>  Fri, 03 Jan 2020 21:53:48 +0100

cqrlog (2.4.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version.
    + Fixes wsjtx integration. (Closes: #932776)
  * Move arch-indep files to cqrlog-data.
  * Don't remove debian/cqrlog.* on clean, it would remove cqrlog.install.
  * Add debian/gitlab-ci.yml.
  * DH 12.

 -- Christoph Berg <myon@debian.org>  Mon, 30 Dec 2019 10:31:26 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  Kamal Mostafa <kamal@whence.com>,
  Colin Tuckley <colint@debian.org>,
 Build-Depends:
- debhelper (>= 9),
+ debhelper-compat (= 12),
  fp-units-db,
  fp-units-gfx,
  fp-units-gtk2,
@@ -24,7 +24,7 @@
  libhamlib-dev (>= 1.2.10),
  libpango1.0-dev,
  libx11-dev,
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Homepage: http://www.cqrlog.com
 Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/cqrlog
 Vcs-Git: https://salsa.debian.org/debian-hamradio-team/cqrlog.git
@@ -32,6 +32,7 @@
 Package: cqrlog
 Architecture: any
 Depends:
+ cqrlog-data (= ${source:Version}),
  default-mysql-client-core | virtual-mysql-client-core,
  default-mysql-server-core | virtual-mysql-server-core,
  libhamlib-utils (>= 1.2.10),
@@ -48,3 +49,22 @@
  accurate country resolution algorithm based on country tables developed by
  OK1RR. CQRLOG is intended for daily general logging of HF, CW & SSB contacts
  and strongly focused on easy operation and maintenance.
+
+Package: cqrlog-data
+Architecture: all
+Multi-Arch: foreign
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
+Breaks: cqrlog (<< 2.4.0)
+Replaces: cqrlog (<< 2.4.0)
+Description: Advanced logging program for hamradio operators (data files)
+ CQRLOG is an advanced ham radio logger based on MySQL embedded database.
+ Provides radio control based on hamlib libraries (currently support of 140+
+ radio types and models), DX cluster connection, HamQTH/QRZ callbook
+ (XML access), a grayliner, internal QSL manager database support and a most
+ accurate country resolution algorithm based on country tables developed by
+ OK1RR. CQRLOG is intended for daily general logging of HF, CW & SSB contacts
+ and strongly focused on easy operation and maintenance.
+ .
+ This package contains the architecture-independent data files.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_clean:
	# Makefile tries to remove debian/cqrlog.*, disable that

## cqrlog 2.5.1

=== Makefile ===
--- 
+++ 
@@ -11,9 +11,8 @@
 	gzip tools/cqrlog.1 -c > tools/cqrlog.1.gz
 
 clean:
-	rm -f -v src/*.o src/*.ppu src/*.bak src/lnet/lib/*.ppu src/lnet/lib/*.o src/lnet/lib/*.bak src/cqrlog src/cqrlog.compiled debian/cqrlog.* src/ipc/*.o src/ipc/*.ppu src/cqrlog.or
+	rm -f -v src/*.o src/*.ppu src/*.bak src/lnet/lib/*.ppu src/lnet/lib/*.o src/lnet/lib/*.bak src/cqrlog src/cqrlog.compiled src/ipc/*.o src/ipc/*.ppu src/cqrlog.or
 	rm -f -v src/*.lrs src/*.ps src/*.lrt src/*.rsh  src/*.rst src/*.a src/synapse/*.a src/synapse/*.o src/synapse/*.ppu
-	rm -rf debian/cqrlog
 	rm -f -v src/mysql/*.ppu src/mysq/*.bak src/mysql/*.o
 	rm -f -v tools/cqrlog.1.gz
 	rm -rf src/backup
@@ -74,3 +73,12 @@
 	$(CC) --ws=gtk2 --pcp=$(tmpdir)/.lazarus src/cqrlog.lpi
 	gzip tools/cqrlog.1 -c > tools/cqrlog.1.gz
 
+cqrlog_qt5: src/cqrlog.lpi
+	$(CC) --ws=qt5 --pcp=$(tmpdir)/.lazarus src/cqrlog.lpi
+	$(ST) src/cqrlog
+	gzip tools/cqrlog.1 -c > tools/cqrlog.1.gz
+
+cqrlog_qt5_debug: src/cqrlog.lpi
+	$(CC) --ws=qt5 --pcp=$(tmpdir)/.lazarus src/cqrlog.lpi
+	gzip tools/cqrlog.1 -c > tools/cqrlog.1.gz
+

=== debian/changelog ===
cqrlog (2.5.1-2) unstable; urgency=medium

  * Team upload.
  * Patch from upstream commits to fix ADIF import (Closes: #987032)

 -- Federico Grau <donfede@casagrau.org>  Sat, 17 Apr 2021 14:23:46 -0400

cqrlog (2.5.1-1) unstable; urgency=medium

  * New upstream version 2.5.1.
  * Depend directly on libhamlib4, package is smart enough to find the
    libhamlib.so.4 file at runtime even if it's not linking against it.

 -- Christoph Berg <myon@debian.org>  Tue, 02 Feb 2021 12:46:56 +0100

cqrlog (2.4.0-4) unstable; urgency=low

  * Team upload.

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Fix day-of-week for changelog entries 1.4.2-1, 1.4.1-1, 1.4.0-1.
  * Update standards version to 4.5.0, no changes needed.

  [ Christoph Berg ]
  * Depend on libhamlib-dev since we open libhamlib.so at runtime.

 -- Christoph Berg <myon@debian.org>  Tue, 05 Jan 2021 10:31:02 +0100

=== debian/control ===
--- 
+++ 
@@ -24,8 +24,8 @@
  libhamlib-dev (>= 1.2.10),
  libpango1.0-dev,
  libx11-dev,
-Standards-Version: 4.4.1
-Homepage: http://www.cqrlog.com
+Standards-Version: 4.5.0
+Homepage: https://www.cqrlog.com
 Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/cqrlog
 Vcs-Git: https://salsa.debian.org/debian-hamradio-team/cqrlog.git
 
@@ -36,7 +36,7 @@
  default-mysql-client-core | virtual-mysql-client-core,
  default-mysql-server-core | virtual-mysql-server-core,
  libhamlib-utils (>= 1.2.10),
- libhamlib2 (>= 1.2.10),
+ libhamlib4,
  libmariadb-dev-compat,
  ${misc:Depends},
  ${shlibs:Depends},
